## lisaac 0.13.1

=== Makefile ===
#                   This file is part of Lisaac compiler.
#                     http://isaacproject.u-strasbg.fr/
#                    LSIIT - ULP - CNRS - INRIA - FRANCE
#
#   This program is free software: you can redistribute it and/or modify    
#   it under the terms of the GNU General Public License as published by    
#   the Free Software Foundation, either version 3 of the License, or       
#   (at your option) any later version.                                    
#                                                                           
#   This program is distributed in the hope that it will be useful,         
#   but WITHOUT ANY WARRANTY; without even the implied warranty of          
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
#   GNU General Public License for more details.                            
#                                                                           
#   You should have received a copy of the GNU General Public License       
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.   
#
# Available targets:
# ==================
#  - all                   Starts the installer in automatic mode--use it if
#  you know the installer is smart enough to compute default values, and those
#  values suit your needs. This option is used in order to install lisaac in a
#  non-userland way.
#
#  - interactive_userland  Starts the installer in userland interactive mode
#
#  - install               Copy all files in a proper place (non-userland)
#
#  - clean                 Cleans the installation (non-userland)
#
# In short:
# =========
#  Use : make interactive_userland     for a userland installation
#  Use : make & make install(as root)  for a full system installation
#  Use : make clean(as root)           to clean up a non-userland installation
#
# TODO:
# =====
#  - do a /usr/share/menu/lisaac ?
#  - do a /usr/share/doc-base/lisaac ?
#
# Comments:
# =========
#  - use default path.h or bin/path.h if userland or not
#  - move binaries to /usr/bin/
#  - move libraries to /usr/lib/lisaac/
#  - move documentation to /usr/share/doc/lisaac/
#  - move manpages to /usr/share/man/man1/
#  - if you want to generate the documentation
#    shorter -r -f html lib -o $(LIB)$(HTML)
#
# Bug reports:
# ============
#  bug tracker system: https://gna.org/bugs/?func=additem&group=isaac
#  mail to: Xavier Oswald <x.oswald@free.fr>

LIB=/usr/lib/lisaac
EXAMPLE=/examples
HTML=/html
BIN=/usr/bin
MAN=/usr/share/man/man1
DOC=/usr/share/doc/lisaac
DESTDIR=
CC=gcc
CFLAGS=-O2

all: bin/lisaac.c bin/shorter.c
	@echo "#define LISAAC_DIRECTORY \"$(DESTDIR)$(LIB)\"" > bin/path.h
	$(CC) $(CFLAGS) bin/lisaac.c -o bin/lisaac 
	$(CC) $(CFLAGS) bin/shorter.c -o bin/shorter

interactive_userland: install_lisaac.c
	@echo - Lisaac compiler installation For Unix / Linux / Windows -
	@echo Please wait...
	$(CC) $(CFLAGS) install_lisaac.c -o install_lisaac
	@echo - please run ./install_lisaac to finish the installation

install:
	mkdir -p $(DESTDIR)$(LIB) 
	mkdir -p $(DESTDIR)$(BIN)
	mkdir -p $(DESTDIR)$(MAN)
	mkdir -p $(DESTDIR)$(DOC)$(HTML)
	mkdir -p $(DESTDIR)$(DOC)$(EXAMPLE)
	cp bin/lisaac  $(DESTDIR)$(BIN) 
	cp bin/shorter  $(DESTDIR)$(BIN)
	cp path.li  $(DESTDIR)$(LIB)
	cp -rf lib/  $(DESTDIR)$(LIB)
	cp -rf lib_os/  $(DESTDIR)$(LIB)
	cp -rf example/* $(DESTDIR)$(DOC)$(EXAMPLE)
	cp -rf shorter/  $(DESTDIR)$(LIB)
	cp -rf manpage/*.gz  $(DESTDIR)$(MAN)
	#$(DESTDIR)$(BIN)/shorter -r -f html lib -o $(DESTDIR)$(DOC)$(HTML) 

clean:
	rm -rf bin/lisaac
	rm -rf bin/shorter
	rm -rf bin/path.h
	rm -rf $(DESTDIR)$(BIN)/lisaac
	rm -rf $(DESTDIR)$(BIN)/shorter
	rm -rf $(DESTDIR)$(LIB)
	rm -rf $(DESTDIR)$(DOC)
	rm -rf $(DESTDIR)$(MAN)/lisaac.1.gz
	rm -rf $(DESTDIR)$(MAN)/shorter.1.gz

=== debian/changelog ===
lisaac (1:0.13.1-3) unstable; urgency=low

  * debian/control:
    - Change my mail address
    - Bump Standards-Version to 3.8.4
    - Update Build-Depends on debhelper 7
    - Update Depends on emacs23 instead of emacs22 (Closes: #571568)
  * Update debian/compat to 7
  * Switch to dpkg-source 3.0 (quilt) format

 -- Xavier Oswald <xoswald@debian.org>  Mon, 01 Mar 2010 23:51:44 +0100

lisaac (1:0.13.1-2) unstable; urgency=low

  * Add myself to Uploaders with the team's agreement.
  * Bump Standards-Version to 3.8.0.
  * Switch to quilt.
  * Add the DM-Upload-Allowed field for Xavier.
  * Pass Debian CFLAGS to upstream Makefile.
  * Move lisaac-mode from Recommends to Suggests for lisaac,
    as not all people want the whole emacs stuff pulled by default.
  * FTBFS with purpose on alpha, amd64, and ia64,
    as upstream does not support 64-bit architectures yet.

 -- Aurélien GÉRÔME <ag@debian.org>  Sat, 02 Aug 2008 09:45:45 +0200

lisaac (1:0.13.1-1) unstable; urgency=low

  * New upstream release
  * Update copyright, new copyright is GPLv3
  * add manpage for shorter
  * update lisaac manpage
  * add an epoch due to a error in my previous version numbering
  * Fix the build-depends on a new gcc version (closes: #440426, #463065)
  * Fix the dependacy on the new emacs version (closes: #434920)
  * Fix the debian/watch, fail to report upstream's version (closes: #450198)
  * Update the package description
  * Standards-Version: 3.7.3 
  * remove 01 -> 04 patches, no more relevant
  * add the 05_Makefile

 -- Xavier Oswald <x.oswald@free.fr>  Tue, 26 Feb 2008 00:22:08 +0100

lisaac (0.84-3) unstable; urgency=low

  * Oops re-add Xavier Oswald as co-maintainer.

 -- picca frederic <picca@synchrotron-soleil.fr>  Wed, 22 Nov 2006 21:14:11 +0100

lisaac (0.84-2) unstable; urgency=low

  * Fix typo error in lisaac recommends (closes: #395404)
  * Fix the descriptions of packages (closes: #395433)
  * Add the lisaac-mode package for emacs

 -- picca frederic <picca@synchrotron-soleil.fr>  Fri, 27 Oct 2006 10:08:42 +0200

lisaac (0.84-1) unstable; urgency=low

  * Initial release Closes: #379054

 -- picca frederic <picca@synchrotron-soleil.fr>  Tue,  6 Jun 2006 21:50:23 +0200

=== debian/control ===
Source: lisaac
Section: devel
Priority: optional
Maintainer: picca frederic <picca@synchrotron-soleil.fr>
Uploaders: Xavier Oswald <xoswald@debian.org>, Aurélien GÉRÔME <ag@debian.org>
Build-Depends: debhelper (>= 7), gcc (>= 4.1), emacs23 | emacsen
Standards-Version: 3.8.4
Homepage: http://isaacproject.u-strasbg.fr/
DM-Upload-Allowed: yes

Package: lisaac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lisaac-common, gcc(>= 4.1)
Recommends: lisaac-doc
Suggests: lisaac-mode
Description: Object-oriented language base on prototype
 Lisaac is a small prototype-based programming language. The ideas in
 Lisaac are mostly inspired by Smalltalk (all values are objects), Self
 (prototype-based) and Eiffel (design by contract). It has the following
 features:
 .
  * pure object language
  * very fast (like C code)
  * dynamic and multiple inheritance
  * dynamic definition slots
  * static typing (invariant)
  * generic types
  * auto-cast type system
  * programming by contract
  * interrupt manager
  * include C code facilities

Package: lisaac-common
Architecture: all
Depends: ${misc:Depends}
Description: Arch-independent part for lisaac
 Lisaac is a small prototype-based programming language.
 .
 This package contains the libraries needed by the Lisaac compiler.

Package: lisaac-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for lisaac
 Lisaac is a small prototype-based programming language.
 .
 This package contains the documentation in html format.

Package: lisaac-mode
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacsen
Enhances: lisaac
Description: Emacs mode for editing Lisaac programs
 Lisaac is a small prototype-based programming language.
 .
 This emacs mode provides syntax highlighting and automatic
 indentation for Lisaac. you will need this if you write Lisaac programs
 using Emacs.

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 
ifeq (,$(filter $(shell dpkg-architecture -qDEB_BUILD_ARCH), alpha amd64 ia64))
	$(MAKE) CFLAGS="$(CFLAGS)"
else
	@echo "************************************************************************" >&2
	@echo "* Sorry, this package is not supposed to work on 64-bit architectures! *" >&2
	@echo "************************************************************************" >&2
	@false
endif
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 
	touch build-indep-stamp

clean: 
	dh_testdir
	dh_testroot
	$(MAKE) clean DESTDIR=$(CURDIR)/debian/tmp
	rm -f build-arch-stamp
	rm -f build-indep-stamp
	dh_prep

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -i
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	[ ! -f $(CURDIR)/debian/tmp/usr/share/lisaac/lib/clean  ] || rm  --verbose $(CURDIR)/debian/tmp/usr/share/lisaac/lib/clean
	[ ! -f $(CURDIR)/debian/tmp/usr/share/lisaac/lib_os/clean  ] || rm  --verbose $(CURDIR)/debian/tmp/usr/share/lisaac/lib_os/clean
	[ ! -f $(CURDIR)/debian/tmp/usr/share/lisaac/lib/number/essai  ] || rm --verbose $(CURDIR)/debian/tmp/usr/share/lisaac/lib/number/essai
	dh_install -i --sourcedir=debian/tmp

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install -s --sourcedir=debian/tmp
	dh_installman

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installemacsen
	dh_installexamples
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

=== debian/watch ===
version=3
http://isaacproject.u-strasbg.fr/download/lisaac-(.*)\.tar\.gz

## lisaac 0.39~rc1

=== Makefile ===
#                   This file is part of Lisaac compiler.
#                     http://isaacproject.u-strasbg.fr/
#                    LSIIT - ULP - CNRS - INRIA - FRANCE
#
#   This program is free software: you can redistribute it and/or modify    
#   it under the terms of the GNU General Public License as published by    
#   the Free Software Foundation, either version 3 of the License, or       
#   (at your option) any later version.                                    
#                                                                           
#   This program is distributed in the hope that it will be useful,         
#   but WITHOUT ANY WARRANTY; without even the implied warranty of          
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
#   GNU General Public License for more details.                            
#                                                                           
#   You should have received a copy of the GNU General Public License       
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.   

CC=gcc
CFLAGS=-O2

all: install_lisaac
	./install_lisaac

install_lisaac:
	$(CC) $(CFLAGS) install_lisaac.c -o install_lisaac

clean:
	rm -f install_lisaac
	rm -f bin/shorter.c bin/path.h bin/lisaac bin/shorter
	rm -f src/shorter src/path.h
	rm -rf doc/html

=== example/Makefile ===
all:
	./compile.sh

clean:
	./clean.sh
bat:
	./bat.sh

=== debian/changelog ===
lisaac (1:0.39~rc1-1) unstable; urgency=low

  [ Jonathan Michalon ]
  * New upstream release
    + Lots of various improvements, huge gap between versions.
    + Reuse Makefile of previous packaging since the new one is interactive
  * Switch to short debian/rules
  * Provide doc-base integration with debian/lisaac-doc.doc-base
  * Update makefile.patch
  * Add new patch fixing typo in source code (lintian warning)
  * Update URL in debian/watch and debian/control (Closes: #612824)
  * Bump Standards-Version to 3.9.1

  [ Picca Frédéric-Emmanuel ]
  * activate the watch file
  * remove comments from the debian/rules file
  * regenerate the patch queue with gbp-pq
  * re-add the lisaac-mode file
  * do not load automatically the lisaac-mode (Closes: #593535)

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 27 Mar 2011 11:34:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: picca frederic <picca@synchrotron-soleil.fr>
 Uploaders: Xavier Oswald <xoswald@debian.org>, Aurélien GÉRÔME <ag@debian.org>
-Build-Depends: debhelper (>= 7), gcc (>= 4.1), emacs23 | emacsen
-Standards-Version: 3.8.4
-Homepage: http://isaacproject.u-strasbg.fr/
+Build-Depends: debhelper (>= 7), gcc (>= 4.1)
+Standards-Version: 3.9.1
+Homepage: http://lisaac.org/
 DM-Upload-Allowed: yes
 
 Package: lisaac
@@ -37,6 +37,7 @@
  Lisaac is a small prototype-based programming language.
  .
  This package contains the libraries needed by the Lisaac compiler.
+ They are grouped in four categories, intra, standard, unstable and extra.
 
 Package: lisaac-doc
 Section: doc
@@ -46,6 +47,7 @@
  Lisaac is a small prototype-based programming language.
  .
  This package contains the documentation in html format.
+ Your are also provided with a pdf smart and complete documentation.
 
 Package: lisaac-mode
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

=== debian/watch ===
version=3
http://lisaac.org/download/lisaac-(.*)\.tar\.gz
